<template>
    <ul>
        <li v-for="(i,indice) in aplicacoes" :key="indice">
            <button @click="abrirSessaoAplicacaoUsuario(i.url)">{{i.nome}}</button>
        </li>
    </ul>
</template>

<script>
export default {
    props: ['aplicacoes', 'token'],
    setup (props) {

        function abrirSessaoAplicacaoUsuario (url) {
            window.location.href = `${url}?token=${props.token}`
        }

        return {
            abrirSessaoAplicacaoUsuario
        }
    }
}
</script>


<style  scoped>
ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #272727b8;
}
ul li button{
    min-width: 13em;
    margin: 3px;    
}
</style>